using System;

namespace FlappyBird.Core
{
    public interface IGameManager
    {
        GameState CurrentState { get; }
        event Action<GameState> OnGameStateChanged;
        void StartGame();
        void GameOver();
        void ReturnToMenu();
    }
}
